unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, BitmapPlus, Menus, ExtDlgs;

type
  TForm1 = class(TForm)
    Image1: TImage;
    OpenDialog1: TOpenDialog;
    MainMenu1: TMainMenu;
    Files1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Help1: TMenuItem;
    About1: TMenuItem;
    SaveDialog1: TSaveDialog;
    Options1: TMenuItem;
    BMPBitsperpixel1: TMenuItem;
    JPGQuality1: TMenuItem;
    TIFCompression1: TMenuItem;
    N8bpp1: TMenuItem;
    N16bpp1: TMenuItem;
    N24bpp1: TMenuItem;
    Low1: TMenuItem;
    Medium1: TMenuItem;
    High1: TMenuItem;
    None1: TMenuItem;
    LZW1: TMenuItem;
    Opensecondframe1: TMenuItem;
    OpenDialog2: TOpenDialog;
    procedure About1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Save1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure N8bpp1Click(Sender: TObject);
    procedure N16bpp1Click(Sender: TObject);
    procedure N24bpp1Click(Sender: TObject);
    procedure Low1Click(Sender: TObject);
    procedure Medium1Click(Sender: TObject);
    procedure High1Click(Sender: TObject);
    procedure None1Click(Sender: TObject);
    procedure LZW1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Opensecondframe1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Quality, Method: integer;           //    (   )
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.About1Click(Sender: TObject);
begin
        ShowMessage('Demo of using TBitmapPlus: load/save BMP,JPG,GIF,TIF and PNG files');
end;
procedure TForm1.Open1Click(Sender: TObject);
var bmpp: TBitmapPlus;
begin
        if OpenDialog1.Execute then
        begin
                bmpp:=TBitmapPlus.Create;
                bmpp.LoadFromFile(OpenDialog1.FileName);
                Image1.Picture.Bitmap.Assign(bmpp);
                bmpp.Destroy;
        end;
end;

procedure TForm1.Save1Click(Sender: TObject);
var bmpp: TBitmapPlus;
begin
        if SaveDialog1.Execute then
        begin
                bmpp:=TBitmapPlus.Create;
                bmpp.Assign(Image1.Picture.Bitmap);
                bmpp.Quality:=Quality;                          //     
                bmpp.Method:=Method;
                bmpp.SaveToFile(SaveDialog1.FileName);
                bmpp.Destroy;

                bmpp:=TBitmapPlus.Create;
                bmpp.LoadFromFile(SaveDialog1.FileName);        //  
                Image1.Picture.Bitmap.Assign(bmpp);
                bmpp.Destroy;
        end;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
        Application.Terminate;
end;

procedure TForm1.N8bpp1Click(Sender: TObject);
begin
        Image1.Picture.Bitmap.PixelFormat:=pf8bit;              // BMP-     
end;

procedure TForm1.N16bpp1Click(Sender: TObject);
begin
        Image1.Picture.Bitmap.PixelFormat:=pf15bit;              // BMP-     
end;

procedure TForm1.N24bpp1Click(Sender: TObject);
begin
        Image1.Picture.Bitmap.PixelFormat:=pf24bit;              // BMP-     
end;

procedure TForm1.Low1Click(Sender: TObject);
begin
        Quality:=1;             //   JPEG-
end;

procedure TForm1.Medium1Click(Sender: TObject);
begin
        Quality:=50;             //   JPEG-
end;

procedure TForm1.High1Click(Sender: TObject);
begin
        Quality:=95;             //   JPEG-
end;

procedure TForm1.None1Click(Sender: TObject);
begin
        Method:=mtNone;         //   TIFF-
end;

procedure TForm1.LZW1Click(Sender: TObject);
begin
        Method:=mtLZW;          //   TIFF-
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
    Quality:=50;                           //     (   )
    Method:=mtNone;
end;

procedure TForm1.Opensecondframe1Click(Sender: TObject);
var bmpp: TBitmapPlus;
begin
        if OpenDialog2.Execute then
        begin
                bmpp:=TBitmapPlus.Create;
                bmpp.LoadFromFile(OpenDialog2.FileName,1);      //     (  GIF  TIF )
                Image1.Picture.Bitmap.Assign(bmpp);
                bmpp.Destroy;
        end;
end;

end.
